# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::TypeInfo Struct Reference

Represents a class type. More...

`#include <TypeInfo.hpp>`

List of all members.

## Public Member Functions

| TypeInfo (const char *name)
| Constructor.
bool | operator== (const TypeInfo &other) const
| Equal operator.
bool | operator< (const TypeInfo &other) const
| Less operator.
const char * | name () const
| The name of the class including the namespace.
u32 | hash () const
| The 32 bit hash of the name of the class including the namespace.

## Detailed Description

Represents a class type.

Definition at line 46 of file TypeInfo.hpp.

## Constructor & Destructor Documentation

vl::TypeInfo::TypeInfo | ( | const char * | name ) | `[inline]`

Constructor.

Definition at line 49 of file TypeInfo.hpp.

References vl::MurmurHash3_x86_32(), and name().

## Member Function Documentation

bool vl::TypeInfo::operator== | ( | const TypeInfo & | other ) | const`[inline]`

Equal operator.

Definition at line 59 of file TypeInfo.hpp.

bool vl::TypeInfo::operator< | ( | const TypeInfo & | other ) | const`[inline]`

Less operator.

Definition at line 62 of file TypeInfo.hpp.

const char* vl::TypeInfo::name | ( | ) | const`[inline]`

The name of the class including the namespace.

Definition at line 65 of file TypeInfo.hpp.

Referenced by vl::VLXRegistry::registerClassWrapper(), and TypeInfo().

u32 vl::TypeInfo::hash | ( | ) | const`[inline]`

The 32 bit hash of the name of the class including the namespace.

Definition at line 68 of file TypeInfo.hpp.

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/TypeInfo.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:15.
Permission is granted to use this page to write and publish articles regarding Visualization Library.